et:
  plugin_openproject_webhooks:
    name: "Nepenthes Webhooks"
    description: "Provides a plug-in API to support OpenProject webhooks for better 3rd party integration."
  activerecord:
    attributes:
      webhooks/webhook:
        url: 'Payload URL'
        secret: 'Signature secret'
        events: 'Events'
        projects: 'Lubatud projektid'
      webhooks/log:
        event_name: 'Event name'
        url: 'Payload URL'
        response_code: 'Response code'
        response_body: 'Response'
    models:
      webhooks/outgoing_webhook: "Outgoing webhook"
  webhooks:
    singular: Webhook
    plural: Webhooks
    resources:
      time_entry:
        name: "Time entry"
    outgoing:
      no_results_table: No webhooks have been defined yet.
      label_add_new: Add new webhook
      label_edit: Edit webhook
      label_event_resources: Event resources
      events:
        created: "Loodud"
        updated: "Updated"
      explanation:
        text: >
          Upon the occurrence of an event like the creation of a work package or an update on a project, OpenProject will send a POST request to the configured web endpoints. Oftentimes, the event is sent after the %{link} has passed.
        link: configured aggregation period
      status:
        enabled: 'Webhook is enabled'
        disabled: 'Webhook is disabled'
        enabled_text: 'The webhook will emit payloads for the defined events below.'
        disabled_text: 'Click the edit button to activate the webhook.'
      deliveries:
        no_results_table: No deliveries have been made for this webhook in the past days.
        title: 'Recent deliveries'
        time: 'Delivery time'
      form:
        introduction: >
          Send a POST request to the payload URL below for any event in the project you're subscribed to. Payload will correspond to the APIv3 representation of the object being modified.
        apiv3_doc_url: For more information, visit the API documentation
        description:
          placeholder: 'Optional description for the webhook.'
        enabled:
          description: >
            When checked, the webhook will trigger on the selected events. Uncheck to disable the webhook.
        events:
          title: 'Enabled events'
        project_ids:
          title: 'Lubatud projektid'
          description: 'Select for which projects this webhook should be executed for.'
          all: 'All projects'
          selected: 'Selected projects only'
        selected_project_ids:
          title: 'Selected projects'
        secret:
          description: >
            If set, this secret value is used by OpenProject to sign the webhook payload.
